リストを検索
curl --request POST \
--url https://api.hubapi.com/crm/v3/lists/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalProperties": [
"hs_list_size_week_delta"
],
"count": 100,
"offset": 0,
"query": "Test"
}
'import requests
url = "https://api.hubapi.com/crm/v3/lists/search"
payload = {
"additionalProperties": ["hs_list_size_week_delta"],
"count": 100,
"offset": 0,
"query": "Test"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalProperties: ['hs_list_size_week_delta'],
count: 100,
offset: 0,
query: 'Test'
})
};
fetch('https://api.hubapi.com/crm/v3/lists/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": false,
"lists": [
{
"additionalProperties": {
"hs_last_record_added_at": "1695938616824",
"hs_list_reference_count": "0",
"hs_list_size": "59",
"hs_list_size_week_delta": "-10"
},
"createdAt": "2023-09-28T22:03:17.998Z",
"createdById": "1",
"filtersUpdatedAt": "2023-09-28T22:03:17.998Z",
"listId": "123",
"listVersion": 1,
"name": "Test list",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "SNAPSHOT",
"updatedAt": "2023-09-28T22:03:37.005Z",
"updatedById": "1"
}
],
"offset": 1,
"total": 1
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}リスト
Search Lists
リスト名でリストを検索するか、空の「クエリ」値を指定して全てのリストを表示します。
POST
/
crm
/
v3
/
lists
/
search
リストを検索
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
The request object used for searching through lists.
レスポンスに含める追加のリストプロパティーのプロパティー名。特定のリストの存在しないプロパティーまたは空のプロパティーはレスポンスに含まれません。
デフォルトでは、全てのリクエストで各リストのプロパティー(「hs_list_size」、hs_last_record_added_at」、「hs_last_record_removed_at」、「hs_folder_name」、「hs_list_reference_count」)が取得されます。
リストのページ送りに使用される値。レスポンスで指定された「オフセット」を次のリクエストで使用して、結果の次のページを取得することができます。オフセットが指定されていない場合、デフォルトの「0」になります。
レスポンスに含めるリストの数。値が指定されていない場合、デフォルトの「20」になります。「最大数」は「500」です。
検索結果に含めるILSリストID。指定しない場合、他の条件に一致する全てのリストが含まれます
検索結果に含めるリスト処理タイプ。指定しない場合、全ての処理タイプの全てのリストが含まれます。
リスト名でリストを検索するために使用される「クエリ」。「クエリ」が指定されていない場合、全てのリストが結果に含まれます。
順序フィールドと順序
最終更新日 2026年4月10日
⌘I